In the following instructions:
http://partedmagic.com/documentation...e-liveusb.html
it is stated that Ubuntu comes with an old version of syslinux which doesn't work with Parted Magic, so it is suggested to install the newest version available at the follow address:
http://www.kernel.org/pub/linux/utils/boot/syslinux/

How do I check the version of syslinux installed on my system? Why Ubuntu comes with an outdated version of syslinux? How do I install the newest version?